aboutsummaryrefslogtreecommitdiff
path: root/system/slackupdr
diff options
context:
space:
mode:
authorStu Miller <slackbuilds@go4it2day.com>2022-04-06 09:13:48 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:47 +0700
commitbbc078dd5d88e346fb40413bcc266e20543332d0 (patch)
treee55ed4b2754c8c2dc0cf1c2930d0cc7c5cbd3830 /system/slackupdr
parent595429eea5e4e0f23503870498d2a3d356657641 (diff)
system/slackupdr: Added (slackpkg automation).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/slackupdr')
-rw-r--r--system/slackupdr/README4
-rw-r--r--system/slackupdr/doinst.sh16
-rw-r--r--system/slackupdr/slack-desc19
-rw-r--r--system/slackupdr/slackupdr.SlackBuild101
-rw-r--r--system/slackupdr/slackupdr.info10
5 files changed, 150 insertions, 0 deletions
diff --git a/system/slackupdr/README b/system/slackupdr/README
new file mode 100644
index 000000000000..74884034d04e
--- /dev/null
+++ b/system/slackupdr/README
@@ -0,0 +1,4 @@
+slackupdr automates the use of slackpkg, manages installation
+of multiple kernels & updates LILO & ELILO bootloaders.
+The script expects to be run as the root user.
+slackupdr is menu & config file driven.
diff --git a/system/slackupdr/doinst.sh b/system/slackupdr/doinst.sh
new file mode 100644
index 000000000000..d95b935cedc8
--- /dev/null
+++ b/system/slackupdr/doinst.sh
@@ -0,0 +1,16 @@
+# doinst.sh for slackupdr
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/slackpkg/slackupdr.conf.new
diff --git a/system/slackupdr/slack-desc b/system/slackupdr/slack-desc
new file mode 100644
index 000000000000..551d1f5cf779
--- /dev/null
+++ b/system/slackupdr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slackupdr: slackupdr (slackpkg automation)
+slackupdr:
+slackupdr: slackupdr primary functions:
+slackupdr: 1) automate the use of slackpkg
+slackupdr: 2) manage multiple kernels
+slackupdr: 3) update LILO or EFI bootloaders
+slackupdr:
+slackupdr: Home: https://www.go4it2day.com/news/slackupdr-3.3.html
+slackupdr:
+slackupdr:
+slackupdr:
diff --git a/system/slackupdr/slackupdr.SlackBuild b/system/slackupdr/slackupdr.SlackBuild
new file mode 100644
index 000000000000..75a21189a2f6
--- /dev/null
+++ b/system/slackupdr/slackupdr.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for slackupdr
+
+# Copyright 2019 - 2022 Stu Miller, Colorado, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=slackupdr
+VERSION=${VERSION:-3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG \
+ README \
+ slackupdr.8.txt \
+ slackupdr.conf.5.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/slackpkg
+cp -a \
+ $PRGNAM.conf.new \
+ $PKG/etc/slackpkg/
+
+mkdir -p $PKG/usr/sbin
+cp -a \
+ $PRGNAM \
+ $PKG/usr/sbin/
+
+mkdir -p $PKG/usr/libexec/slackpkg
+cp -a \
+ slackupdr_lib.gz \
+ $PKG/usr/libexec/slackpkg/
+
+mkdir -p $PKG/usr/man/man5
+cp -a \
+ $PRGNAM.conf.5.gz \
+ $PKG/usr/man/man5
+
+mkdir -p $PKG/usr/man/man8
+cp -a \
+ $PRGNAM.8.gz \
+ $PKG/usr/man/man8
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/slackupdr/slackupdr.info b/system/slackupdr/slackupdr.info
new file mode 100644
index 000000000000..3bd1973d376f
--- /dev/null
+++ b/system/slackupdr/slackupdr.info
@@ -0,0 +1,10 @@
+PRGNAM="slackupdr"
+VERSION="3.3"
+HOMEPAGE="https://www.go4it2day.com/news/slackupdr-3.3.html"
+DOWNLOAD="https://www.go4it2day.com/downloads/slackupdr/3.3/slackupdr-3.3.tar.gz"
+MD5SUM="8d4ca54dce00753faf4264841a9f49ff"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Stu Miller"
+EMAIL="slackbuilds@go4it2day.com"